Subject: Re: [PATCH v5 00/31] EEH Support for PowerNV platform

From: Gavin Shan <[email-masked]>
Date: Tue, 18 Jun 2013 16:41:44 +0800

On Tue, Jun 18, 2013 at 04:33:24PM +0800, Gavin Shan wrote:

Hi Ben,

I resend the whole series of patches because some newly added patches among
it.

>Initially, the series of patches is built based on 3.10.RC1 and the patchset
>doesn't intend to enable EEH functionality for PHB3 for now. Obviously, PHB3
>EEH support on PowerNV platform is something to do in future.
>

.../...

>Change log
>==========
>
>v4 -> v5:
>	* Add patch [10/31] to make EEH core running with single kthread.
>	* Add patch [11/31] to trace the time stamp of last error in the last
>	  hour for specific PE
>	* Add patch [12/31] to purge duplicate EEH events
>	* Add patch [14/31] for EEH core to handle special event, which doesn't
>	  have binding PE
>	* Add patch [22/31] to support I/O chip next_error() backend. Almost all
>	  stuff from original pci_err.c moved to eeh-ioda.c. Appropriate cleanup
>	  is applied as well.
>	* Changed [27/31] to allow clearing specific OPAL notifier event in the
>	  cache traced by variable "last_notified_mask"
>	* Changed [29/31] to register OPAL event notifier on post-initilization
>	  period.

Please review those patches at your available time. The left patches shouldn't
be changed or with minor changes without affecting the whole logic. Thanks in
advance for your time :-)

The target of v5 is mainly for following aspects according to your comments:

- Make EEH core running with single-kthread.
- Add new eeh_ops::next_error() for PowerNV platform to use. Almost all stuff
  of original pci-err.c moved to the backend.
- Hanle special event (without binding PE) in EEH core. The special events
  are purely come from PowerNV platform (error interrupts).

Thanks,
Gavin